//objective.h
//this example file declares the functions as required
// Liz Dolan, P.L. (Anne) Shepherd, College of William and Mary

#if !defined _userfile_
#define _userfile_

#include "vec.h"


   // This is used for fcn_eval();
// extern char Fname[120];

   //Chris Siefert's Bound struct--used for constrained problems
    struct Bound {
      Vector<double> lower;
      Vector<double> upper;
   };

   void fcn(long, Vector<double> &, double &, bool &, void *);

   void fcn_2(long, Vector<double> &, double &, bool &, void *);

   void fcn_eval(long vars, Vector<double> &x, double & f, bool & flag,
              void * nothing);

   void parab_fcn(long, Vector<double> &, double &, bool &, void *);

   double mySin(Vector<double> &);

   double myCos(Vector<double> &);

   double eval_parab(Vector<double> &);
 
   void mcKinnon(long vars, Vector<double> & x, double & f,
                 bool & flag, void * nothing);

   void powell(long vars, Vector<double> &x,
               double & f, bool & flag, void* nothing);
#endif


